package com.bonus.core.allocation.mobile.constants;

public enum EnterpriseSignStatusEnum {
   UNACTIVATED("UNACTIVATED", "未激活"),
   ACTIVATED("ACTIVATED", "已激活"),
   ACTIVATING("ACTIVATING", "激活中");

   private final String key;
   private final String value;

   private EnterpriseSignStatusEnum(String key, String value) {
      this.key = key;
      this.value = value;
   }

   public static String getKey(String value) {
      EnterpriseSignStatusEnum[] enums = values();
      EnterpriseSignStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         EnterpriseSignStatusEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(String key) {
      EnterpriseSignStatusEnum[] enums = values();
      EnterpriseSignStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         EnterpriseSignStatusEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public String key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
